关于个g++的两个问题

为当前最终发行版之前的所有版本提供支持
回复
头像
jaylion
帖子: 67
注册时间: 2005-11-20 4:07
送出感谢: 0
接收感谢: 0
联系:

关于个g++的两个问题

#1

帖子 jaylion » 2006-02-08 13:15

为什么我用g++4.0编译helloworld的时候出现很多错误,说是找不到很多文件....是不是缺少了什么组件,安装了g++3.4之后才可以的..如果是的话可不可以告知一下,这样我就不用安装两个版本了(如果两个版本是一样的话).
还有编译出来的可执行文件怎么不可以直接输入文件名执行.用sudo也不可以..这样非常不方便,有没有什么设置可以调一下..让我好测试..
我的桌面系统是kde..先谢了.

再加问一个问题 :P 怎么让kde下跟gnome一样直接输入ssh://地址就可以以图形模式看到远程的文件呢.这样可以好下载,上传..
如果实在没办法的话,不知道命令符的格式是什么?
头像
dongmh
帖子: 715
注册时间: 2005-06-21 20:24
来自: 甘肃
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 dongmh » 2006-02-08 13:51

g++ 的问题是请试试

代码: 全选

sudo apt-get install xlibs-dev
kde不太清楚 没有用过
ubuntu 6.06
我是初学者 大家多多关照
头像
jaylion
帖子: 67
注册时间: 2005-11-20 4:07
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 jaylion » 2006-02-09 0:33

那编译出来的aout文件怎么让他在命令符下直接执行阿??
我每次打出他都说no such command。。怎么设置?
头像
dongmh
帖子: 715
注册时间: 2005-06-21 20:24
来自: 甘肃
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 dongmh » 2006-02-09 0:43

主要是需要那个a.out文件的完全位置

它默认状况下在你编译时cd到的那个目录 你可以这样执行他

代码: 全选

./a.out
而你自己也可以指定他的名字

代码: 全选

g++ xxx.cpp -o xxx
ubuntu 6.06
我是初学者 大家多多关照
头像
jaylion
帖子: 67
注册时间: 2005-11-20 4:07
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 jaylion » 2006-02-09 8:45

ok解决了。。
原来是要加./的..还真是谢谢dongmh了..你真的还算初学者吗?
让我觉得我什么都不是了..呵呵...
头像
ubuntu_amateur
帖子: 79
注册时间: 2006-06-10 14:58
来自: China
送出感谢: 0
接收感谢: 0

How can I compile a simple program such as helloworld?

#6

帖子 ubuntu_amateur » 2006-06-10 15:17

How can I compile a simple program such as helloworld by using GCC?
It always display the message " "gtk\gtk.h": no such file or directory".
And the head file was install by synaptic package manager.
Why does it issue?

(My ubuntu does not support Chinese...)
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#7

帖子 dbzhang800 » 2006-06-10 19:08

gcc `pkg-config --cflags --libs gtk+-2.0`
试试这个吧
头像
madoldman
帖子: 599
注册时间: 2006-02-27 20:19
来自: works system
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 madoldman » 2006-06-10 19:34

dbzhang800 写了:gcc `pkg-config --cflags --libs gtk+-2.0`
试试这个吧
这是编译gtk程序用的,和g++没有关系
东西路,南北走
十字路口人咬狗
拿起狗来打砖头
砖头咬了狗一口
图片
回复

回到 “老旧版本支持”